Bug 1015433 - Update static pages to reflect new branding
Update static pages to reflect new branding
Status: ASSIGNED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: DR8
: EAP 6.4.0
Assigned To: Harald Pehl
Pavel Jelinek
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-04 05:00 EDT by Heiko Braun
Modified: 2015-04-23 06:07 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the error page. (82.72 KB, image/png)
2013-10-17 08:45 EDT, Nikoleta Ziakova
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HAL-246 Major Resolved Update the static pages to reflect new branding 2015-09-10 16:15:03 EDT

  None (edit)
Description Heiko Braun 2013-10-04 05:00:03 EDT
The staic pages need to be updated to relflect the new console branding
Comment 2 JBoss JIRA Server 2013-10-09 02:52:56 EDT
Heiko Braun <ike.braun@googlemail.com> updated the status of jira HAL-246 to Resolved
Comment 5 Nikoleta Ziakova 2013-10-17 08:44:14 EDT
Some additional changes regarding the new branding are needed. The error page in Web Console contains incorrect product name:

(A) "Welcome to EAP 6"
    should be "Welcome to JBoss EAP 6"

(B) "The Enterprise Application Platform 6 is running."
    should be "Red Hat JBoss Enterprise Application Platform 6 is running."

    Welcome page contains sentence "Red Hat JBoss Enterprise Application Platform 6 is running." so maybe the same could be used for the error page aswell.

(C) "EAP 6 installation"
    should be "JBoss EAP 6 installation"

(D) "used by EAP"
    should be "used by JBoss EAP"

One of these forms of the product name should be used everywhere:
  "Red Hat JBoss Enterprise Application Platform"
  "JBoss EAP"

I noticed that two images were added to EAP: linux_add.gif and windows_add.gif. What is the purpose of these images?
Comment 6 Nikoleta Ziakova 2013-10-17 08:45:38 EDT
Created attachment 813295 [details]
Screenshot of the error page.
Comment 8 John Doyle 2013-10-31 08:13:08 EDT
I would not block the release for these issues.
Comment 11 Harald Pehl 2014-04-07 11:31:47 EDT
Yes should be possible to have this in EAP 6.3. Fixed the index.html according to suggestions in comment #5. The images are used solely for the community version.
Comment 13 Nikoleta Ziakova 2014-04-22 09:28:51 EDT
Some of the static pages are not updated in EAP 6.3.0 ER2

For example:

correct text
./build/src/main/resources/welcome-content/index_noconsole.html:      <h1>Welcome to JBoss EAP 6</h1>
./build/src/main/resources/welcome-content/index.html:      <h1>Welcome to JBoss EAP 6</h1>
./domain-http/error-context/src/main/resources/index.html:      <h1>Welcome to JBoss EAP 6</h1>

incorrect text
./build/src/main/resources/modules/system/layers/base/org/jboss/as/domain-http-error-context/eap/dir/index_win.html:      <h1>Welcome to EAP 6</h1>
./build/src/main/resources/modules/system/layers/base/org/jboss/as/domain-http-error-context/eap/dir/index.html:      <h1>Welcome to EAP 6</h1>
./build/src/main/resources/modules/system/layers/base/org/jboss/as/domain-http-error-context/eap/dir/noConsoleForAdminModeError.html:       <h1>Welcome to EAP 6</h1>
./build/src/main/resources/modules/system/layers/base/org/jboss/as/domain-http-error-context/eap/dir/noConsoleForSlaveDcError.html:       <h1>Welcome to EAP 6</h1>
./domain-http/error-context/src/main/resources/index_win.html:      <h1>Welcome to EAP 6</h1>
./domain-http/error-context/src/main/resources/noConsoleForAdminModeError.html:       <h1>Welcome to EAP 6</h1>
./domain-http/error-context/src/main/resources/noConsoleForSlaveDcError.html:       <h1>Welcome to EAP 6</h1>
Comment 15 Nikoleta Ziakova 2014-05-21 04:50:56 EDT
Problems in comment #13 are fixed. However it was only an example what was missed, there are still some occurrences of (B), (C) and (D) from comment #5. 

Here is the full list of remaining problems I see in ER4:
jboss-eap-6.3-src/build/src/main/resources/modules/system/layers/base/org/jboss/as/domain-http-error-context/eap/dir/index_win.html - problem (B), (C), (D)

jboss-eap-6.3-src/build/src/main/resources/modules/system/layers/base/org/jboss/as/domain-http-error-context/eap/dir/index.html - problem (B), (C), (D)

jboss-eap-6.3-src/build/src/main/resources/modules/system/layers/base/org/jboss/as/domain-http-error-context/eap/dir/noConsoleForAdminModeError.html - problem (B)

jboss-eap-6.3-src/build/src/main/resources/modules/system/layers/base/org/jboss/as/domain-http-error-context/eap/dir/noConsoleForSlaveDcError.html - problem (B)

jboss-eap-6.3-src/domain-http/error-context/src/main/resources/index_win.html - problem (B), (C) and (D)

jboss-eap-6.3-src/domain-http/error-context/src/main/resources/noConsoleForAdminModeError.html - problem (B)

jboss-eap-6.3-src/domain-http/error-context/src/main/resources/noConsoleForSlaveDcError.html - problem (B)

These are OK:
jboss-eap-6.3-src/build/src/main/resources/welcome-content/noredirect.html
jboss-eap-6.3-src/build/src/main/resources/welcome-content/index_noconsole.html
jboss-eap-6.3-src/build/src/main/resources/welcome-content/index.html
jboss-eap-6.3-src/build/src/main/resources/welcome-content/noconsole.html
jboss-eap-6.3-src/domain-http/error-context/src/main/resources/index.html

Please check whether these are all the static pages I should check.
Comment 17 Jakub Cechacek 2014-07-16 07:41:32 EDT
Moving to 6.4 as the issue is still valid for 6.3
Comment 18 Heiko Braun 2014-10-27 10:08:44 EDT
The PR is here https://github.com/jbossas/jboss-eap/pull/1851
Comment 19 Nikoleta Ziakova 2014-11-04 06:32:04 EST
I can still see these problems from comment 15 in 6.4.0.DR8:

jboss-eap-6.4-src/build/src/main/resources/modules/system/layers/base/org/jboss/as/domain-http-error-context/eap/dir/index_win.html - problem (B), (C), (D)
-- The Enterprise Application Platform 6 is running. => Red Hat Enterprise Application Platform 6 is running.
-- your EAP 6 installation => your JBoss EAP 6 installation
-- used by EAP => used by JBoss EAP

jboss-eap-6.4-src/build/src/main/resources/modules/system/layers/base/org/jboss/as/domain-http-error-context/eap/dir/index.html - problem (B), (C), (D)
-- The Enterprise Application Platform 6 is running. => Red Hat Enterprise Application Platform 6 is running.
-- your EAP 6 installation => your JBoss EAP 6 installation
-- used by EAP => used by JBoss EAP

jboss-eap-6.4-src/build/src/main/resources/modules/system/layers/base/org/jboss/as/domain-http-error-context/eap/dir/noConsoleForAdminModeError.html - problem (B)
-- The Enterprise Application Platform 6 is running. => Red Hat Enterprise Application Platform 6 is running.

jboss-eap-6.4-src/build/src/main/resources/modules/system/layers/base/org/jboss/as/domain-http-error-context/eap/dir/noConsoleForSlaveDcError.html - problem (B)
-- The Enterprise Application Platform 6 is running. => Red Hat Enterprise Application Platform 6 is running.
Comment 20 Kabir Khan 2014-11-04 06:45:25 EST
(In reply to Nikoleta Ziakova from comment #19)
> I can still see these problems from comment 15 in 6.4.0.DR8:
I don't actually see these problems, I'll use github links to show what I mean
> 
> jboss-eap-6.4-src/build/src/main/resources/modules/system/layers/base/org/
> jboss/as/domain-http-error-context/eap/dir/index_win.html - problem (B),
> (C), (D)
https://github.com/jbossas/jboss-eap/blob/EAP_6.4.0.DR8-dev/domain-http/error-context/src/main/resources/index_win.html seems to contain the right contents for the following three:
> -- The Enterprise Application Platform 6 is running. => Red Hat Enterprise
> Application Platform 6 is running.
line 33
> -- your EAP 6 installation => your JBoss EAP 6 installation
line 37
> -- used by EAP => used by JBoss EAP
line 40
> 
> jboss-eap-6.4-src/build/src/main/resources/modules/system/layers/base/org/
> jboss/as/domain-http-error-context/eap/dir/index.html - problem (B), (C), (D)
https://github.com/jbossas/jboss-eap/blob/EAP_6.4.0.DR8-dev/domain-http/error-context/src/main/resources/index.html seems to contain the right contents for the following
> -- The Enterprise Application Platform 6 is running. => Red Hat Enterprise
> Application Platform 6 is running.
> -- your EAP 6 installation => your JBoss EAP 6 installation
line 33
> -- used by EAP => used by JBoss EAP
line 40
> 
> jboss-eap-6.4-src/build/src/main/resources/modules/system/layers/base/org/
> jboss/as/domain-http-error-context/eap/dir/noConsoleForAdminModeError.html -
> problem (B)
> -- The Enterprise Application Platform 6 is running. => Red Hat Enterprise
> Application Platform 6 is running.
https://github.com/jbossas/jboss-eap/blob/EAP_6.4.0.DR8-dev/domain-http/error-context/src/main/resources/noConsoleForAdminModeError.html#L33
> 
> jboss-eap-6.4-src/build/src/main/resources/modules/system/layers/base/org/
> jboss/as/domain-http-error-context/eap/dir/noConsoleForSlaveDcError.html -
> problem (B)
> -- The Enterprise Application Platform 6 is running. => Red Hat Enterprise
> Application Platform 6 is running.
https://github.com/jbossas/jboss-eap/blob/EAP_6.4.0.DR8-dev/domain-http/error-context/src/main/resources/noConsoleForSlaveDcError.html#L33
Comment 21 Kabir Khan 2014-11-04 06:59:01 EST
Mystery half-solved:
I was referencing these pages under domain-http/error-context/src, e.g.: 

https://github.com/jbossas/jboss-eap/blob/EAP_6.4.0.DR8-dev/domain-http/error-context/src/main/resources/

While Nikoleta finds these under build/src/main/resources/modules, e.g.:

https://github.com/jbossas/jboss-eap/tree/EAP_6.4.0.DR8-dev/build/src/main/resources/modules/system/layers/base/org/jboss/as/domain-http-error-context/eap/dir

So the question is why we are duplicating these files in two places?
Comment 22 Nikoleta Ziakova 2014-11-04 07:06:24 EST
See comment 21 above.

Note You need to log in before you can comment on or make changes to this bug.